Package htsjdk.samtools.cram.compression.range

# Class RangeCoder

java.lang.Object
htsjdk.samtools.cram.compression.range.RangeCoder

public class RangeCoder extends Object

## Constructor Summary

Constructors
Constructor
Description
`RangeCoder()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`rangeDecode(ByteBuffer inBuffer, int cumulativeFrequency, int symbolFrequency)`
`void`
`rangeDecodeStart(ByteBuffer inBuffer)`
`protected void`
`rangeEncode(ByteBuffer outBuffer, int cumulativeFrequency, int symbolFrequency, int totalFrequency)`
`protected void`
`rangeEncodeEnd(ByteBuffer outBuffer)`
`protected int`
`rangeGetFrequency(int totalFrequency)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RangeCoder

public RangeCoder()

## Method Details

### rangeDecodeStart

public void rangeDecodeStart(ByteBuffer inBuffer)

### rangeDecode

protected void rangeDecode(ByteBuffer inBuffer, int cumulativeFrequency, int symbolFrequency)

### rangeGetFrequency

protected int rangeGetFrequency(int totalFrequency)

### rangeEncode

protected void rangeEncode(ByteBuffer outBuffer, int cumulativeFrequency, int symbolFrequency, int totalFrequency)

### rangeEncodeEnd

protected void rangeEncodeEnd(ByteBuffer outBuffer)